package readUSSD;

import com.siemens.icm.io.ATCommandListener;

/*
 *      -, 
 *  .
 */

public class MyATCommandListener implements ATCommandListener
{
	String strMessage;
	Tc65SerialPort tc65SerialPort;
	boolean HasNewEvent = false;
	
	public MyATCommandListener(boolean bProcessIo, Tc65SerialPort tc65SerialPort)
	{
		this.tc65SerialPort = tc65SerialPort;
	}
	
	public boolean hasNewEvent()
	{
		if(HasNewEvent)
		{
			HasNewEvent = false; // 
			return true;
		}
		return false;
	}
	
	public void RINGChanged(boolean ring)
	{
	//    ,        .
		strMessage = "Ring changed";
		HasNewEvent = true;
	}
	
	public void ATEvent(String str)
	{
//		tc65SerialPort.serialOut("URC: "+str+"\n\r");
		//     
		strMessage = str;
		HasNewEvent = true;
	}
	
	public void CONNChanged(boolean ring)
	{
		strMessage = "Conn changed\r\n";
		HasNewEvent = true;
	}
	public void DSRChanged(boolean ring)
	{
		strMessage = "DSR changed\r\n";
		HasNewEvent = true;
	}
	public void DCDChanged(boolean ring)
	{
		strMessage = "DCD changed\r\n";
		HasNewEvent = true;
	}
}
